Loading ...

Debian-goodies: controllare i pacchetti che possono essere migliorati

Debian-goodies: controllare i pacchetti che possono essere migliorati

Debian-goodies è un pacchetto che include diversi programmi per Debian e Ubuntu (e forse non solo, non saprei).

Per installare il pacchetto:

# aptitude install debian-goodies

Iniziamo, uno alla volta, a vederli.

Cominciamo con check-enhancements!

In pratica controlla se dei pacchetti possono essere sostituiti con pacchetti che portano dei miglioramenti.

Se vogliamo controllarli tutti:

$ check-enhancements -ip
apt => netselect-apt:	  Installed: (none)	  Candidate: 0.3.ds1-28
aptitude => aptitude-robot:	  Installed: (none)	  Candidate: 1.5.1-1
ca-certificates => ca-cacert:	  Installed: (none)	  Candidate: 2011.0523-2
dpkg => debsig-verify:	  Installed: (none)	  Candidate: 0.16+b2
git => git2cl:	  Installed: (none)	  Candidate: 1:2.0+git20120920-1
git => git-crypt:	  Installed: (none)	  Candidate: 0.5.0-2
git => git-ftp:	  Installed: (none)	  Candidate: 1.3.1-1
git => grokmirror:	  Installed: (none)	  Candidate: 1.0.0-1
git => tig:	  Installed: (none)	  Candidate: 2.2-1+b2
gnupg => paperkey:	  Installed: (none)	  Candidate: 1.3-2+b1
gnupg-agent => pinentry-gnome3:	  Installed: (none)	  Candidate: 1.0.0-2
gnupg-agent => pinentry-gtk2:	  Installed: (none)	  Candidate: 1.0.0-2
gnupg-agent => pinentry-qt:	  Installed: (none)	  Candidate: 1.0.0-2
gnupg-agent => pinentry-tty:	  Installed: (none)	  Candidate: 1.0.0-2
gnupg-agent => scdaemon:	  Installed: (none)	  Candidate: 2.1.18-8~deb9u1
ifupdown => guessnet:	  Installed: (none)	  Candidate: 0.56+b2
ifupdown => ifupdown-multi:	  Installed: (none)	  Candidate: 0.1.1
isc-dhcp-client => isc-dhcp-client-ddns:	  Installed: (none)	  Candidate: 4.3.5-3+deb9u1
libsqlite3-0 => libsqlite3-mod-blobtoxy:	  Installed: (none)	  Candidate: 0.9995-1
libsqlite3-0 => libsqlite3-mod-csvtable:	  Installed: (none)	  Candidate: 0.9995-1
libsqlite3-0 => libsqlite3-mod-impexp:	  Installed: (none)	  Candidate: 0.9995-1
libsqlite3-0 => libsqlite3-mod-xpath:	  Installed: (none)	  Candidate: 0.9995-1
libsqlite3-0 => libsqlite3-mod-zipfile:	  Installed: (none)	  Candidate: 0.9995-1
openssh-server => gesftpserver:	  Installed: (none)	  Candidate: 0.2.2-1
python => idle:	  Installed: (none)	  Candidate: 2.7.13-2
python2.7 => idle-python2.7:	  Installed: (none)	  Candidate: 2.7.13-2+deb9u2
python3 => idle3:	  Installed: (none)	  Candidate: 3.5.3-1
python3.5 => idle-python3.5:	  Installed: (none)	  Candidate: 3.5.3-1
python-apt => python-apt-doc:	  Installed: (none)	  Candidate: 1.4.0~beta3
vim => vim-latexsuite:	  Installed: (none)	  Candidate: 1:1.9.0-1
vim => vim-scripts:	  Installed: (none)	  Candidate: 20130814
x11-common => unburden-home-dir:	  Installed: (none)	  Candidate: 0.4.0.1

Sennò possiamo anche indicare un programma specifico:

$ check-enhancements git
git => git2cl:	  Installed: (none)	  Candidate: 1:2.0+git20120920-1
git => git-crypt:	  Installed: (none)	  Candidate: 0.5.0-2
git => git-ftp:	  Installed: (none)	  Candidate: 1.3.1-1
git => grokmirror:	  Installed: (none)	  Candidate: 1.0.0-1
git => tig:	  Installed: (none)	  Candidate: 2.2-1+b2

Enjoy!